#!/usr/bin/python
# -*- coding: utf-8 -*-
# @version        : 1.0
# @Create Time    : 2025/04/03 10:28
# @File           : project_label.py
# @IDE            : PyCharm
# @desc           : 项目标签信息

from fastapi import Depends, Query
from core.dependencies import Paging, QueryParams


class ProjectLabelParams(QueryParams):
    def __init__(
            self,
            project_id: int | None = Query(None, title="项目id"),
            params: Paging = Depends()
    ):
        super().__init__(params)
        self.project_id = project_id
